import { Service, ServiceConfiguration } from '@cross-lab-project/soa-client';
import { DataChannel } from '@cross-lab-project/soa-client';
import { PeerConnection } from '@cross-lab-project/soa-client';
import { TypedEmitter } from 'tiny-typed-emitter';
import { MessageServiceEvent } from './messages';
type ServiceType = 'https://api.goldi-labs.de/serviceTypes/message';
declare const ServiceType: ServiceType;
export interface MessageServiceConfiguration extends ServiceConfiguration {
    serviceType: ServiceType;
}
export declare class MessageService__Producer implements Service {
    serviceType: "https://api.goldi-labs.de/serviceTypes/message";
    serviceId: string;
    serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    channel?: DataChannel;
    constructor(serviceId: string);
    getMeta(): {
        serviceType: "https://api.goldi-labs.de/serviceTypes/message";
        serviceId: string;
        serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    };
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
    sendMessage(message: string, messageType: string): Promise<void>;
}
interface MessageService__ConsumerEvents {
    message: (event: MessageServiceEvent) => void;
}
export declare class MessageService__Consumer extends TypedEmitter<MessageService__ConsumerEvents> implements Service {
    serviceType: "https://api.goldi-labs.de/serviceTypes/message";
    serviceId: string;
    serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    constructor(serviceId: string);
    getMeta(): {
        serviceType: "https://api.goldi-labs.de/serviceTypes/message";
        serviceId: string;
        serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    };
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
    handleData(data: string | Blob | ArrayBuffer | ArrayBufferView): void;
}
export {};
//# sourceMappingURL=message_service.d.ts.map